Piensa Technologies

  >  Foro de Principiantes en Linux - Mensaje
Indice del Foro 
Búsqueda 
 
Búsqueda Especializada  
 
Ingresar  
Nuevo Mensaje al Foro  
 
 Acerca de Linux
La Gaceta de Linux 
Edición en español 
Gazeta do Linux 
Edición en portugués 
Foro de Principiantes 
> Mensaje
scanner hp scanjet 3200C (Umax Astra 1220p)
Ingresado por Carlos el día viernes diciembre 10, @09:04 desde España.
Tema: [ Linux en General ]

backends para umax 1220p
Estimad@s amig@s:

Uso mdk 10.1 Community
Tengo un scanner HP Scanjet3200C = Umax Astra 1220P, puerto PARALELO, claro(aagggh!!!)
Funcionaba en Windoze 98SE y segun veo en
http://www.lugcos.org.ar/deposito/docs/scanner.html
http://www.lugna.linux.org.ar/docuOk/scanner.html
este cacharro funciona en GNU/Linux... pero a mi no

Primero fui a
http://umax1220p.sourceforge.net/download.html
e hice todo al pie de la letra incluyendo scripts de testeo
Cargo manualmente con modprobe el ppdev porque tengo la HPDeskjet400 en el /dev/parport0
Tengo los modulos parport y parport_pc cargados tambien

Si hago:
rpm --upgrade libsane1-1.0.13-4.1umax_pp.i586.rpm sane-backends-1.0.13-4.1umax_pp.i586.rpm saned-1.0.13-4.1umax_pp.i586.rpm (que son los especificos para mi umax_pp)
Me da:
error: Failed dependencies:
libsane.1 is needed by sane-backends-1.0.13-4.1umax_pp
libsane.1 is needed by saned-1.0.13-4.1umax_pp
libsane >= 1.0.4 is needed by (installed) xsane-0.93-1mdk
libsane.so.1 is needed by (installed) libkdegraphics0-kooka-3.2.3-17.1.101mdk
libsane.so.1 is needed by (installed) xsane-0.93-1mdk
libsane.so.1 is needed by (installed) xsane-gimp-0.93-1mdk
libsane.so.1 is needed by (installed) sane-frontends-1.0.12-1mdk
Da igual que lo haga mediante el Centro de Control, creo una fuente local propia para instalar mis rpm's pero
dicha fuente no me aparece para instalar, aunque si la veo añadida en "soportes".
Hago:
mkdir -p /usr/loal/MisProgramas
cd /usr/local/MisProgramas
genhdlist
urpmi.addmedia "MisProgramas" file://usr/local/MisProgramas with synthesis.hdlist.cz

En Debian y Suse podia desinstalar la version previa de Sane (libsane y los backends) pero en mdk no me deja
Yo tengo en mi sistema los paquetes:
libsane1-1.0.14
sane-backends-1.0.14
sane-frontends-1.0.12
Compruebo segun se dice en:
http://umax1220p.sourceforge.net/install.htm

Que tengo las lineas:
parport0: PC-style at 0x378, irq 7 [PCSPP,TRISTATE,EPP]
parport0: cpp_mux: aa55f00f52ad51(86)

Antes intente echarlo a andar desde las fuentes y hasta me llegó a reconocer el modelo de scanner!!
Pero me decia que no se podia comunicar con el parport

Me indica que debo hacer ésto:
With linux 2.4 and 2.6 you'll have to look into: /proc/sys/dev/parport/parport0/base-addr

user:/proc/sys/dev/parport/parport0>cat base-addr
888 1912
Then turn the first number into hexadecimal (888 => 0x378)
Pero no soy un experto en *nix y /proc es un sistema de ficheros virtual ¿como se "turn" eso?

Perdon por la extensión. Ya veis que he investigado mucho y leido la documentación antes de molestar. Como debe ser.
Alguna idea?

[ Ingresar Comentario ]

<  |  >

Relacionado
  • Más acerca de Linux en General
  • Mismo autor Carlos
  • Contacto con el autor